Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.cache
Class ChildReferences.BasicContext

    java.lang.Object
      org.modeshape.jcr.cache.ChildReferences.BasicContext

All Implemented Interfaces:
  ChildReferences.Context

Enclosing interface:
  ChildReferences

    @NotThreadSafe
    public static class ChildReferences.BasicContext

extends Object
implements ChildReferences.Context

A `ChildReferences.Context` implementation that has no changes but maintains the SNS indexes for nodes with any name.

Constructor Summary
`ChildReferences.BasicContext()`

Method Summary
`ChildReferences.Changes` | `changes()` Get the set of changes for this context.
`int` | `consume(Name name, NodeKey key)` Consume the next child with the supplied name and key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChildReferences.BasicContext

    public ChildReferences.BasicContext()

Method Detail

### consume

    public int consume(Name name,
                       NodeKey key)

  Description copied from interface: `ChildReferences.Context`
  Consume the next child with the supplied name and key.

  Specified by:
    `consume` in interface `ChildReferences.Context`
  Parameters:
    `name` - the name of the node; may not be null
    `key` - the key for the node; may not be null
  Returns:
    the same-name-sibling index for this node; always positive

### changes

    public ChildReferences.Changes changes()

  Description copied from interface: `ChildReferences.Context`
  Get the set of changes for this context.

  Specified by:
    `changes` in interface `ChildReferences.Context`
  Returns:
    the changes; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.